import request from '@/utils/request';

/**
 * 登录 - 发送短信获取二维码
 */
export const sendSms = (params: any) => {
  return request.post('/edu-app/open/sendSms', {
    data: params,
    requestType: 'form'
  });
};

/**
 * 修改密码-
 */
export const updatePassword = (params: any) => {
  return request.post('/edu-app/open/user/updatePassword', {
    data: params
  });
};

/**
 * 图片验证码
 */
export const sendImgCode = (params: any) => {
  return request.get('/edu-app/open/sendImgCode', {
    params,
    requestType: 'form'
  });
};

/**
 * 发送验证码
 */
export const sendSmsVerify = (params: any) => {
  return request.post('/edu-app/open/sendSmsVerify', {
    data: params,
    requestType: 'form'
  });
};

/**
 * 检测是否安装证书 - 通过code码为511判断
 */
export const mutualTLSQuery = (params: any) => {
  return request.get('/edu-app/open/mutualTLS/query', {
    data: params,
    hideErrorMesage: true
  });
};
